Kerbal Space Program - Feature #2580

EVA Helmets
06/19/2014 01:45 PM - HerraTohtori

Status: Not a Bug % Done: 0%
Severity: Low

Assignee: APHSpace

Category: Gameplay

Target version:

Platform: Any Mod Related: No
Expansion:

Description

Currently, Kerbals on EVA will not have helmets on Kerbin (not sure if same applies to Laythe or other bodies with suitable
atmosphere).

If you put a Kerbal on a command chair attached to a spacecraft and make them go to orbit, you'll end up with a helmetless but very
alive kerbal on EVA in space. Unless, of course, kerbals don't exactly need spacesuits for life support purposes... maybe they're like
batman.

Solution would be to implement a life support system that makes the kerbal go unconscious or even die if they exceed certain altitude
(or speed) with no helmet on, and make a toggle menu for helmet on/off in atmosphere.

Alternatively, just make Kerbals use helmets when they mount a Command Seat. It would probably be easier fix, even if the helmet
appears from "thin air" when the kerbal sits down into the chair.

History

#1 - 06/19/2014 04:34 PM - TruePikachu

Report is technically invalid. Currently, Kerbals will always wear helmets; the lack of one is from a mod you have installed. Try contacting the author
for assistance.

#2 - 06/23/2014 11:06 PM - APHSpace
- Status changed from New to Not a Bug
- Assignee set to APHSpace

- % Done changed from 0 to 100

| am sorry but this is not a bug, or a feature. You seem to have a mod installed and this is not the section to place items that are mainly/only mod
related. If you wish to have this changed then please contact the mod author.

#3 - 06/24/2014 01:18 AM - HerraTohtori

Yes, apologies for wasting your time. | didn't realize one of the mods had this feature. Of course | should've checked more thoroughly before
assuming it was a stock feature.
